LISTEN(1)

NAME
listen - monitor AX.25 traffic

SYNOPSIS
listen [-8] [-a] [-c] [-h] [-i] [-p port] [-r] [-t..] [-v]

DESCRIPTION

Listen uses SOCK_PACKET facilities to provide a network monitor of all AX.25 traffic heard by the system. Since KISS is implicitly promiscuous no special driver configurations are needed.

This version displays standard AX.25, PE1CHL extended AX.25, NET/ROM, Rose, ARP, IP, ICMP, TCP and UDP. It also displays IP, TCP, ICMP, TCP and UDP encapsulated within NET/ROM frames. The program also displays AX.25 and IP encapsulated within an IP frame, but see RFC1326 for reasons not to do so.

Listen makes an attempt at decoding some of the more common routing protocols. RSPF and RIP (both “normal” and G8BPQs RIP98) are traced. JNOS style NET/ROM node polls are also displayed.

Listen can use colors to make the output more readable. The ncurses library is used to accomplish this. Color support defaults to being disabled, and the -c parameter is used to enable it.

OPTIONS

-8  Indicates that the terminal is capable of printing 8-bit characters. This parameter is required for the -i parameter to work.

-a  Allow for the monitoring of outgoing frames as well as incoming ones.

-c  Enable color support.

-h  Dump the data portion of the packet in both hexadecimal and ASCII. The default is to display data as ASCII only.

-i  Map IBM codepage 437 characters 128-158 to their ISO-Latin-1 equivalents. This is a hack for scandinavian users. This parameter is only valid when used with the -8 and -c parameters.

-p port
    Monitor only those frames received on a particular port, by default all AX.25 devices are monitored.

-r  Dump the data portion in a "readable" fashion, which is more suitable for tracing plaintext AX.25 traffic. CR-LF conversion is done.

-t  Don't print a timestamp on each dump line.

-tt Print an unformatted timestamp on each dump line.

-ttt
    Print a delta (micro-second resolution) between current and previous line on each dump line.

-tttt
    Print a timestamp in default format proceeded by date on each dump line.

-ttttt
    Print a delta (micro-second resolution) between current and first line on each dump line.

-v  Display the version.

FILES
/etc/ax25/axports

SEE ALSO
call(1), mheard(1), beacon(1), ax25(4), netrom(4), rose(4), kissattach(8).

BUGS
Listen does not validate the checksums of frames that support them (ie IP), therefore corrupt frames will be displayed with bogus values. The MSS of a TCP frame that contains that option is not displayed.

AUTHORS
Alan Cox GW4PTS <alan@cymru.net>
Jonathan Naylor G4KLX <g4klx@g4klx.demon.co.uk>
Phil Karn KA9Q <karn@qualcomm.com>
Heikki Hannikainen OH7LZB <oh7lzb@sral.fi>
Scott Miller N1VG <scott@opentrac.org>